//+------------------------------------------------------------------+
//|                              Auto-Pivot Plotter Weekly V1-00.mq4 |
//|                                  Copyright  2007, BundyRaider   |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, BundyRaider"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Goldenrod
#property indicator_color2 Teal
#property indicator_width1 3
#property indicator_width2 3

extern color   W1FTextColor   = White;
double WeeklyPivot[];
double DailyPivot[];
string Test;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorShortName("OnlyPivot_Levels");
   SetIndexLabel(0, "Weekly_Open");
   SetIndexLabel(1, "Daily_Open");
   
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID);
   SetIndexBuffer(0,WeeklyPivot);
   
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID);
   SetIndexBuffer(1,DailyPivot);
   
   IndicatorDigits(Digits);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int counted_bars=IndicatorCounted();
   
   if (counted_bars<0) return(-1);
   //---- last counted bar will be recounted
   if (counted_bars>0) counted_bars--;

   int limit=Bars-counted_bars;
//****************************
   
   for(int i=0; i<limit; i++)
   { 

      datetime WeekDate=Time[i];
      int WeeklyBar        =  iBarShift(NULL, PERIOD_W1, WeekDate,false);
      double WeeklyOpen =  iOpen(NULL, PERIOD_W1,WeeklyBar);
      //-------------------------------------------------------------------
      int DailyBar        =  iBarShift(NULL, PERIOD_D1, WeekDate,false);
      double DailyOpen =  iOpen(NULL, PERIOD_D1,DailyBar);
      
      double WO =  (WeeklyOpen);
      WeeklyPivot[i] =  NormalizeDouble(WO, Digits);
      //-------------------------------------------------------------------
      double DO =  (DailyOpen);
      DailyPivot[i] =  NormalizeDouble(DO, Digits);
   } 
   return(0);   
}


